toolchain: get rid of GCC_VERSION_5 config symbol
[openwrt/openwrt.git] / toolchain / gcc / Config.in
1 # Choose gcc version.
2
3 choice
4 prompt "GCC compiler Version" if TOOLCHAINOPTS
5 default GCC_USE_VERSION_4_8_ARC if arc
6 default GCC_USE_VERSION_5
7 help
8 Select the version of gcc you wish to use.
9
10 config GCC_USE_VERSION_4_8_ARC
11 select GCC_VERSION_4_8_ARC
12 bool "gcc 4.8.x with support of ARC cores"
13 depends on arc
14
15 config GCC_USE_VERSION_5
16 bool "gcc 5.x"
17 depends on !arc
18
19 endchoice
20
21 config GCC_USE_GRAPHITE
22 bool
23 prompt "Compile in support for the new Graphite framework in GCC 4.4+" if TOOLCHAINOPTS
24
25 config GCC_USE_SYSTEM_PPL_CLOOG
26 bool
27 prompt "Use the system versions of PPL and CLooG"
28 depends on GCC_USE_GRAPHITE && GCC_VERSION_4_8
29 default n
30
31 config EXTRA_GCC_CONFIG_OPTIONS
32 string
33 prompt "Additional gcc configure options" if TOOLCHAINOPTS
34 default ""
35 help
36 Any additional gcc options you may want to include....
37
38 config SSP_SUPPORT
39 bool
40 prompt "Enable Stack-Smashing Protection support" if TOOLCHAINOPTS
41 depends on !USE_MUSL
42 default y if !USE_MUSL
43 help
44 Enable Stack-Smashing Protection support
45
46 config SJLJ_EXCEPTIONS
47 bool
48 prompt "Use setjump()/longjump() exceptions" if TOOLCHAINOPTS
49 default n
50 help
51 Use old setjump()/longjump() exceptions instead of the newer
52 frame unwinding exceptions handling routines. Warning: increases
53 code size and runtime memory usage.
54
55 config INSTALL_LIBGCJ
56 bool
57 prompt "Build/install java compiler and GNU classpath ?" if TOOLCHAINOPTS
58 default n
59 help
60 Build/install java compiler and GNU classpath ?
61
62
63 config INSTALL_GFORTRAN
64 bool
65 prompt "Build/install fortran compiler?" if TOOLCHAINOPTS
66 default n
67 help
68 Build/install GNU fortran compiler ?